diff --git a/peasoup_examples/tools/eh_frame_tools/eh_to_bin.sh b/peasoup_examples/tools/eh_frame_tools/eh_to_bin.sh
index 054b4b728dbdbec7c9ace877c646dad1384a4b13..0a000ed4f718c81c999fe77da7116d5c49bb6da5 100755
--- a/peasoup_examples/tools/eh_frame_tools/eh_to_bin.sh
+++ b/peasoup_examples/tools/eh_frame_tools/eh_to_bin.sh
@@ -4,7 +4,7 @@ infile=$1
 addr=$2
 outfile=$3
 
-gcc $infile -nostdlib -Wl,--section-start -Wl,eh_frame_hdr=$addr -Wl,-e -Wl,0x1000  -Wl,--build-id=none -Wl,-T -Wl,${PEASOUP_HOME}/tools/eh_frame_tools/eh_frame.ls -o $outfile -Wl,-Map,$outfile.map || exit
+gcc $infile -nostdlib -Wl,--section-start -Wl,eh_frame_hdr=$addr -Wl,-e -Wl,0x1000  -Wl,--build-id=none -Wl,-T -Wl,${PEASOUP_HOME}/tools/eh_frame_tools/eh_frame.ls -o $outfile -Wl,-Map,$outfile.map -static -no-pie -fno-PIC || exit
 #eu-readelf -S ./a.out
 objcopy --rename-section eh_frame_hdr=.eh_frame_hdr --rename-section eh_frame=.eh_frame --rename-section gcc_except_table=.gcc_except_table $outfile
 #eu-readelf -S -w ./b.out